Skip to main content
GET
/
v1
/
google
/
search
cURL
curl "https://api.scrapio.dev/v1/google/search?search=openai&search_type=classic&country_code=us" \
  -H "Authorization: Bearer $SCRAPIO_API_KEY"
{
  "meta_data": {},
  "organic_results": [
    {}
  ],
  "top_ads": [
    {}
  ],
  "bottom_ads": [
    {}
  ],
  "related_searches": [
    {}
  ],
  "related_queries": [
    {}
  ],
  "questions": [
    {}
  ],
  "images": [
    {}
  ],
  "knowledge_graph": {},
  "local_results": [
    {}
  ],
  "map_results": [
    {}
  ],
  "news_results": [
    {}
  ],
  "top_stories": [
    {}
  ],
  "shopping_results": [
    {}
  ],
  "hotel_results": [
    {}
  ],
  "ai_overviews": [
    {}
  ],
  "html": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

Minimum string length: 1
search_type
enum<string>
Available options:
classic,
news,
maps,
images,
lens,
shopping,
ai_mode,
ads
country_code
string
Required string length: 2
language
string
Minimum string length: 2
device
enum<string>
Available options:
desktop,
mobile
page
Required range: -9007199254740991 <= x <= 9007199254740991
date_range
enum<string>
Available options:
past_hour,
past_day,
past_week,
past_month,
past_year
latitude
longitude
radius
Required range: -9007199254740991 <= x <= 9007199254740991
sort_by
enum<string>
Available options:
relevance,
reviews,
price_asc,
price_desc
min_price
max_price
extra_params
string
Minimum string length: 1
light_request
add_html
nfpr
tag
string
Minimum string length: 1

Response

Structured Google SERP response with organic results, ads, and enrichments.

meta_data
object
organic_results
object[]
top_ads
object[]
bottom_ads
object[]
questions
object[]
images
object[]
knowledge_graph
object
local_results
object[]
map_results
object[]
news_results
object[]
top_stories
object[]
shopping_results
object[]
hotel_results
object[]
ai_overviews
object[]
html
string
{key}
any